Bug 693292 - Tomcat Manager does not work
Summary: Tomcat Manager does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tomcat6
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Knox
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-04 08:37 UTC by Vít Ondruch
Modified: 2015-11-02 00:16 UTC (History)
4 users (show)

Fixed In Version: tomcat6-6.0.32-7.fc16, tomcat6-6.0.30-7.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-27 13:41:32 UTC
Type: ---


Attachments (Terms of Use)

Description Vít Ondruch 2011-04-04 08:37:39 UTC
Description of problem:
I have installed tomcat6-admin-webapps package but Tomcat Manager does not work.

Version-Release number of selected component (if applicable):
$ rpm -q tomcat6-admin-webapps 
tomcat6-admin-webapps-6.0.30-6.fc15.noarch

How reproducible:
Always

Steps to Reproduce:
1. Opening http://localhost:8080/manager/html gives error.
2.
3.
  
Actual results:
4.4.2011 10:27:31 org.apache.catalina.startup.HostConfig deployDirectory
SEVERE: Error deploying web application directory manager
java.io.FileNotFoundException: /etc/tomcat6/Catalina/localhost/manager.xml (Permission denied)
	at java.io.FileOutputStream.open(Native Method)
	at java.io.FileOutputStream.<init>(FileOutputStream.java:209)
	at java.io.FileOutputStream.<init>(FileOutputStream.java:160)
	at org.apache.catalina.startup.HostConfig.deployDirectory(HostConfig.java:1013)
	at org.apache.catalina.startup.HostConfig.deployDirectories(HostConfig.java:964)
	at org.apache.catalina.startup.HostConfig.deployApps(HostConfig.java:502)
	at org.apache.catalina.startup.HostConfig.start(HostConfig.java:1277)
	at org.apache.catalina.startup.HostConfig.lifecycleEvent(HostConfig.java:321)
	at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:142)
	at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1061)
	at org.apache.catalina.core.StandardHost.start(StandardHost.java:785)
	at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1053)
	at org.apache.catalina.core.StandardEngine.start(StandardEngine.java:463)
	at org.apache.catalina.core.StandardService.start(StandardService.java:525)
	at org.apache.catalina.core.StandardServer.start(StandardServer.java:701)
	at org.apache.catalina.startup.Catalina.start(Catalina.java:585)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289)
	at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414)


Expected results:


Additional info:

Comment 1 Fedora Update System 2011-04-13 17:30:35 UTC
tomcat6-6.0.30-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tomcat6-6.0.30-7.fc15

Comment 2 Fedora Update System 2011-04-14 00:35:29 UTC
Package tomcat6-6.0.30-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tomcat6-6.0.30-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/tomcat6-6.0.30-7.fc15
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-05-02 19:55:47 UTC
tomcat6-6.0.30-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tomcat6-6.0.30-8.fc15

Comment 4 Fedora Update System 2011-05-16 18:53:27 UTC
tomcat6-6.0.32-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/tomcat6-6.0.32-1.fc15

Comment 5 Vít Ondruch 2012-07-27 13:41:32 UTC
F15 is EOL, so I'm closing this issue. And it was probably fixed anyway :)


Note You need to log in before you can comment on or make changes to this bug.